<bugID>824488<Summary>Shutdown of the browser takes too long time and high CPU usage when browser.library.useNewDownloadsView=true</Summary><Description>Build Identifier:
http://hg.mozilla.org/mozilla-central/rev/d348dbf1dab4
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:20.0) Gecko/20121224 Firefox/20.0 ID:20121224030902

Steps to reproduce:
1. Make sure browser.library.useNewDownloadsView=true
2. Open Library
3. Choose "Downloads" in the left tree.
4. Exit browser (File &gt; Exit)

Actual results:
It takes 15sec to shutdown of the browser.
It is high CPU usage(100%) while shutdown browser.

Expected results:
Process should disappear immediately.


Sample places.sqlite is in  attachment 695227</Description></bugID>